net.minecraftforge.fluids

## Class FluidEvent

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.fluids.FluidEvent

- Direct Known Subclasses:
    FluidEvent.FluidDrainingEvent, FluidEvent.FluidFillingEvent, FluidEvent.FluidMotionEvent, FluidEvent.FluidSpilledEvent

      public class FluidEvent
      extends Event

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FluidEvent.FluidDrainingEvent` Mods should fire this event when a fluid is `IFluidTank.drain(int, boolean)` from their tank.
    `static class` | `FluidEvent.FluidFillingEvent` Mods should fire this event when a fluid is `IFluidTank.fill(FluidStack, boolean)` their tank implementation.
    `static class` | `FluidEvent.FluidMotionEvent` Mods should fire this event when they move fluids around.
    `static class` | `FluidEvent.FluidSpilledEvent` Mods should fire this event when a fluid "spills", for example, if a block containing fluid is broken.

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `FluidStack` | `fluid`
    `World` | `world`
    `int` | `x`
    `int` | `y`
    `int` | `z`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FluidEvent(FluidStack fluid, World world, int x, int y, int z)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `fireEvent(FluidEvent event)` A handy shortcut for firing the various fluid events.

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fluid

          public final FluidStack fluid

    - #### x

          public final int x

    - #### y

          public final int y

    - #### z

          public final int z

    - #### world

          public final World world

  - ### Constructor Detail

    - #### FluidEvent

          public FluidEvent(FluidStack fluid,
                    World world,
                    int x,
                    int y,
                    int z)

  - ### Method Detail

    - #### fireEvent

          public static final void fireEvent(FluidEvent event)

      A handy shortcut for firing the various fluid events.
      Parameters:
        `event` -